Skip to main content
GET
/
event
Retrieve Event
curl --request GET \
  --url https://api.nuwebgroup.com/v1/event \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "type": "events",
    "id": 1,
    "attributes": {
      "externalId": "EVT-82333",
      "name": "Event name",
      "description": null,
      "startDate": "2021-11-22T11:59:00.000000Z",
      "endDate": "2021-11-22T11:59:00.000000Z",
      "activatedAt": null,
      "organiserName": "Prof. Colt Donnelly IV",
      "organiserEmail": "pfunk@kuhic.com",
      "organiserPhone": "1-509-571-1918 x0958",
      "totalEventCapacity": 250,
      "remainingEventCapacity": 241,
      "totalTicketCapacity": 25,
      "remainingTicketCapacity": 21,
      "totalProductCapacity": 25,
      "remainingProductCapacity": 23,
      "totalGuestListCapacity": 25,
      "remainingGuestListCapacity": 22,
      "offSale": false,
      "isHidden": false,
      "isPublished": false,
      "isCancelled": false,
      "pageDisplayDate": "hide",
      "pageDisplayLocation": "show-all",
      "pagePricingDisplay": false,
      "thumbnail": null,
      "hasMandatoryDataCapture": false,
      "hasOptionalDataCapture": false,
      "hasNoDataCapture": true,
      "hasTimeslots": false,
      "hasLiveStream": false,
      "scheduleId": 42,
      "hasGroups": false,
      "seatingPlan": {
        "enabled": true,
        "bestAvailableSeatsEnabled": true
      },
      "createdAt": "2021-01-01T12:00:00.000000Z",
      "updatedAt": "2021-01-01T12:00:00.000000Z",
      "deletedAt": null
    },
    "relationships": {
      "tags": {
        "data": [
          {
            "type": "tags",
            "id": 1
          }
        ]
      },
      "venues": {
        "data": {
          "type": "venues",
          "id": 1
        }
      },
      "companies": {
        "data": {
          "type": "companies",
          "id": 1
        }
      },
      "eventSchedules": {
        "data": {
          "type": "eventSchedules",
          "id": 92
        }
      }
    },
    "links": {
      "self": "http://api.willms.com/v1/event?id=5"
    }
  },
  "included": [
    {
      "type": "thumbnailImage",
      "id": 1,
      "attributes": {
        "modelType": "events",
        "modelId": 201,
        "collectionName": "card_thumbnail_en",
        "mimeType": "image/png",
        "size": 376634,
        "orderColumn": 1,
        "updatedAt": "2022-07-29T13:45:05.000000Z",
        "createdAt": "2022-07-29T13:45:05.000000Z",
        "url": "https://nextgen-test.s3.eu-west-1.amazonaws.com/public/media/local/1/rGcuQ9zYRYQ.png"
      }
    },
    {
      "type": "pageHeaderImage",
      "id": 1,
      "attributes": {
        "modelType": "events",
        "modelId": 201,
        "collectionName": "page_header_en",
        "mimeType": "image/png",
        "size": 376634,
        "orderColumn": 1,
        "updatedAt": "2022-07-29T13:45:05.000000Z",
        "createdAt": "2022-07-29T13:45:05.000000Z",
        "url": "https://nextgen-test.s3.eu-west-1.amazonaws.com/public/media/local/1/rGcuQ9zYRYQ.png"
      }
    },
    {
      "type": "pageHeaderImage",
      "id": 2,
      "attributes": {
        "modelType": "eventSchedules",
        "modelId": 92,
        "collectionName": "page_header_en",
        "mimeType": "image/png",
        "size": 376634,
        "orderColumn": 1,
        "updatedAt": "2022-07-29T13:45:05.000000Z",
        "createdAt": "2022-07-29T13:45:05.000000Z",
        "url": "https://nextgen-test.s3.eu-west-1.amazonaws.com/public/media/local/2/9djaNjds.png"
      }
    },
    {
      "type": "metaImage",
      "id": 1,
      "attributes": {
        "modelType": "events",
        "modelId": 201,
        "collectionName": "meta_image_en",
        "mimeType": "image/png",
        "size": 376634,
        "orderColumn": 1,
        "updatedAt": "2022-07-29T13:45:05.000000Z",
        "createdAt": "2022-07-29T13:45:05.000000Z",
        "url": "https://nextgen-test.s3.eu-west-1.amazonaws.com/public/media/local/1/rGcuQ9zYRYQ.png"
      }
    },
    {
      "type": "cities",
      "id": 1,
      "attributes": {
        "name": "Sheffield",
        "region": "South Yorkshire"
      }
    },
    {
      "type": "tagCategories",
      "id": 2,
      "attributes": {
        "name": "Locations",
        "isMandatory": 0,
        "createdAt": "2021-11-22T11:59:00.000000Z",
        "updatedAt": "2021-11-22T11:59:00.000000Z",
        "deletedAt": null
      }
    },
    {
      "type": "tags",
      "id": 1,
      "attributes": {
        "name": "Festival",
        "categoryId": 2,
        "createdAt": "2021-11-22T11:59:00.000000Z",
        "updatedAt": "2021-11-22T11:59:00.000000Z",
        "deletedAt": null
      }
    },
    {
      "type": "companies",
      "id": 1,
      "attributes": {
        "name": "Company A",
        "alias": "companya",
        "url": "https://companya.example.com",
        "createdAt": "2021-11-22T11:59:00.000000Z",
        "updatedAt": "2021-11-22T11:59:00.000000Z",
        "deletedAt": null
      }
    },
    {
      "type": "eventSalePeriods",
      "id": 1,
      "attributes": {
        "name": "Company A",
        "startDate": "2021-11-22T11:59:00.000000Z",
        "endDate": "2021-11-22T11:59:00.000000Z",
        "typeId": "1",
        "type": "general_sale"
      }
    },
    {
      "type": "eventSchedules",
      "id": 92,
      "attributes": {
        "name": "Theatre Schedule",
        "description": "<p>This is our number 1 theatre performance.</p>",
        "type": "mixed",
        "futureEventsCount": 52,
        "startDate": "2022-01-01T09:00:00.000000Z",
        "endDate": "2021-02-01T20:30:00.000000Z",
        "thumbnail": "https://s3-bucket-url.amazon.com/media/1/nd9aKjsd.png",
        "createdAt": "2021-11-22T11:59:00.000000Z",
        "updatedAt": "2021-11-22T11:59:00.000000Z",
        "deletedAt": null
      },
      "relationships": {
        "pageHeaderImage": {
          "data": {
            "type": "pageHeaderImage",
            "id": 2
          }
        }
      }
    },
    {
      "type": "venues",
      "id": 1,
      "attributes": {
        "address": "sit",
        "region": "nostrum",
        "name": "non nesciunt",
        "postcode": "50153-1006",
        "latitude": "51.41833890",
        "longitude": "-0.22062880",
        "createdAt": "2021-11-22T11:59:00.000000Z",
        "updatedAt": "2021-11-22T11:59:00.000000Z",
        "deletedAt": null
      },
      "relationships": {
        "cities": {
          "data": {
            "type": "cities",
            "id": 1
          }
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Query Parameters

id
integer
required

The event ID.

include
enum<string>[]

A list of related resources you wish to include in the response. Values can be an encoded array, or comma separated string.

Available includes:

  • tags β€” Event tags
  • tagCategories β€” Tag categories (requires tags to also be included)
  • venues β€” Event venue with city
  • companies β€” The company the event belongs to
  • eventSettings β€” Event configuration settings
  • eventTimeslots β€” Timeslot entries for the event
  • eventZones β€” Zones configured for the event
  • dataCaptureFields β€” Data capture fields configured for the event
  • eventContentBlocks β€” Content blocks for the event page
  • eventStreams β€” Live stream configuration
  • saleItems β€” Tickets, products, and other sale items
  • eventSchedules β€” Schedule configuration if part of a schedule
  • salePeriods β€” Sale period date ranges
  • images β€” Event images (thumbnail, page header, meta image)

Available options:
tags,
tagCategories,
venues,
companies,
eventSettings,
eventTimeslots,
eventZones,
dataCaptureFields,
eventContentBlocks,
eventStreams,
saleItems,
eventSchedules,
salePeriods,
images
withTrashed
enum<string>

Controls records returned depending on their deletedAt status. This is a global flag, so will apply to all resources, including relationships such as resources returned under the included attribute.

  • true to include deleted records
  • false to exclude deleted records (or leave blank)

Available options:
true,
false
only
string

A list of attributes that you wish to be returned in the payload. When empty or omitted, all fields will be included by default. Use dot-notation for both top-level resources and child resources, i.e. customers.name,dataCaptureResponses.answer. Can be used in conjunction with except providing both parameters don't reference the same resource.

except
string

A list of attributes that you wish to exclude from the payload. When empty or omitted, all fields will be included by default. Use dot-notation for both top-level resources and child resources, i.e. customers.name,dataCaptureResponses.answer. Can be used in conjunction with only providing both parameters don't reference the same resource.

currencyId
integer

The currency ID used for the event price ranges if included. Default value is the primary currency of the company.

withPriceRange
enum<string>

Includes a minPrice and maxPrice attribute according to the event page price preferences, in the requested currencyId or the primary trading currency of the company.

Available options:
true,
false

Response

Successfully retrieved the event.

data
object
included
object[]

An array of related resources. Each item has a type identifying the resource kind, an id, and an attributes object with the resource's fields. The structure of attributes depends on the type. Only resources requested via the include parameter will appear.